Draft Verschieben

From FreeCAD Documentation
This page is a translated version of the page Draft Move and the translation is 92% complete.
Outdated translations are marked like this.

Draft Verschieben

Menüeintrag
Änderung → Verschieben
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
MV
Eingeführt in Version
0.7
Siehe auch
Draft UnterelementHervorheben

Beschreibung

Der Befehl Draft-Verschieben verschiebt oder kopiert die ausgewählten Objekt von einem Punkt zu einem anderen. Im Unterelemente-Modus verschiebt die Anweisung ausgewählte Punkte und Kanten oder kopiert ausgewählte Kanten von Draft Linien und Draft Polylinien.

Die Anweisung kann auf 2D-Formen, die mit den Arbeitsbereichen Draft oder Sketcher erstellt wurden, angewendet werden, aber auch auf viele 3D-Objekte, wie jenen, die mit den Arbeitsbereichen Part, PartDesign oder Arch erzeugt wurden.

Verschieben eines Objekts von einem Punkt zu einem anderen Punkt

Anwendung

Siehe auch: Draft Einrasten und Draft Beschränken.

  1. Wahlweise ein oder mehrere Objekte auswählen, oder ein oder mehrere Unterelemente einer Draft Linie oder eines Draft Drahtes.
  2. Es gibt mehrere Moglichkeiten den Befehl auszuführen:
    • Die Schaltfläche Verschieben drücken.
    • Den Menüeintrag Änderung → Verschieben auswählen.
    • Die Tastenkombination: M dann V.
  3. Wenn noch kein Objekt ausgewählt wurde: ein Objekt in der 3D-Ansicht auswählen.
  4. Der Aufgabenbereich Verschieben wird geöffnet. Siehe Optionen für weitere Informationen.
  5. Wenn Unterelemente ausgewählt wurden: die Check-Box Unterelemente ändern aktivieren, um in den Unterelemente-Modus umzuschalten.
  6. Den ersten Punkt, den Basispunkt, in der 3D-Ansicht auswählen oder die Koordinaten eingeben und auf die Schaltfläche Punkt eingeben drücken.
  7. Den zweiten Punkt, den Zielpunkt, in der 3D-Ansicht auswählen oder die Koordinaten eingeben und auf die Schaltfläche Punkt eingeben drücken.

Optionen

Die im Aufgaben-Bereich vorhandenen Einzelzeichen-Tastaturkürzel können geändert werden. Siehe Draft-Einstellungen. Die hier genannten Tastaturkürzel sind die voreingestellten Tastaturkürzel (für Version 0.22).

  • Um Koordinaten manuell einzugeben, werden die X-, Y- und Z-Komponenten jeweils mit abschließendem Enter eingegeben oder die Schaltfläche Punkt eingeben gedrückt, sobald die gewünschten Werte eingegeben sind. Man sollte aber vorher den Mauszeiger aus der 3D-Ansicht herausziehen.
  • Zur Verwendung von Polarkoordinaten gibt man einen Wert für die Länge und einen Wert für den Winkel ein und bestätigt jeweils mit Enter.
  • Die Check-Box Winkel aktivieren, um den Mauszeiger auf den angegebenen Winkel einzuschränken.
  • L drücken, um den Fokus vom Eingabefeld X auf das Eingabefeld Länge und zurück zu setzen. Abhängig davon, auf welchem Eingabefeld der Fokus liegt ist das Häkchen in der Check-Box Winkel aktiviert oder nicht.
  • R drücken oder die Check-Box Relativ anklicken, um den Relativ-Modus umzuschalten. Ist der Relativ-Modus aktiviert, beziehen sich die Koordinaten des zweiten Punktes auf den ersten. Andernfalls beziehen sie sich auf den Ursprung des Koordinatensystems.
  • G drücken oder die Check-Box Global anklicken, um den Global-Modus umzuschalten. ist der Global-Modus aktiviert, beziehen sich die Koordinaten auf das globale Koordinatensystem. Andernfalls beziehen sie sich auf das Koordinatensystem der Arbeitsebene. eingeführt mit Version 0.20
  • N drücken oder die Check-Box Fortsetzen anklicken, um den Fortsetzen-Modus umzuschalten. Ist der Fortsetzen-Modus aktiviert, wird der Befehl nach dem Beenden erneut gestartet. Dieser Modus ist nur sinnvoll, wenn der Kopieren-Modus aktiviert. Abhängig von der Eigenschaft Wähle ursprüngliche Objekte nach dem Kopieren aus wird entweder das Ursprungsobjekt oder die zuletzt erstellte Kopie für die nächste Ausführung des Befehls ausgewählt. Siehe Einstellungen.
  • C drücken oder die Check-Box Kopieren anklicken, um den Kopieren-Modus umzuschalten. Ist der Kopiermodus aktiviert, erstellt der Befehl verschobene Kopien anstatt die Ursprungsobjekte zu verschieben.
  • B drücken oder die Check-Box Subelemente ändern anklicken, um den Unterelemente-ändern-Modus umzuschalten. Ist dieser Unterelemente-ändern-Modus aktiviert, verwendet der Befehl die ausgewählten Unterelemente anstatt der ganzen Objekte. Die Unterelemente müssen Draft Linien oder Draft Polylinien sein.
  • Sind sowohl der Kopieren-Modus als auch der Unterelemente-ändern-Modus aktiviert, und sind Kanten von Draft Polylinien ausgewählt, werden neue Linien aus diesen Kanten erstellt.
  • Wird Alt gedrückt und gehalten, nachdem der Basispunkt angeklickt wurde, wird ebenfalls der Kopiermodus eingeschaltet. Wenn Alt gedrückt wird, können mehrere Zielpunkte angewählt werden. Alt loslassen, um den Befehl zu beenden und die erstellten Kopien anzuzeigen.
  • S drücken, um Draft Einrasten ein- bzw. ausgeschaltet.
  • Esc oder die Schaltfläche Schließen drücken, um den Befehl abzubrechen.

Hinweise

  • Ein angehängtes Objekt kann nicht mit dem Befehl Draft-Verschieben verschoben werden. Um es trotzdem zu verschieben, muss entweder seine Daten-EigenschaftSupport-Objekt verschoben werden, oder seine Daten-EigenschaftAttachment Offset angepasst werden.

Einstellungen

Siehe auch: Voreinstellungseditor und Draft Einstellungen.

  • Um den Fokus beim Öffnen des Aufgaben-Bereichs auf das Eigabefeld Länge zu legen: Bearbeiten → Eigenschaften... → Draft → Allgemein → Fokusierung auf Länge statt auf X-Koordinate setzen anzupassen. Beachte, dass der Zeiger in der 3D-Ansicht bewegt werden muss, damit sich die Änderung auswirken können.
  • Um die Origialobjekte nach dem Kopieren erneut auszuwählen: Bearbeiten → Eigenschaften... → Draft → Allgemein → Wähle ursprüngliche Objekte nach dem Kopieren aus einzustellen.

Skripten

Siehe auch: Autogenerierte API-Dokumentation und FreeCAD Grundlagen Skripten.

Zum Verschieben von Objekten wird die Methode move des Draft-Moduls verwendet.

moved_list = move(objectslist, vector, copy=False)
  • objectslist enthält die zu verschiebenden Objekte. Es kann ein einzelnes Objekt oder es können mehrere Objekte sein.
  • vector ist die Verschiebung.
  • Wenn copy True ist, werden Kopien erstellt, anstatt die Originale der Objekte zu verschieben.
  • moved_list gibt die verschobenen Originale oder die neuen Kopien aus. Es ist ein einzelnes Objekt oder eine Liste von Objekten, abhängig von objectslist.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)

Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon2, App.Vector(1000, -1000, 0))
Draft.move(polygon3, App.Vector(-500, -500, 0))

list1 = [polygon1, polygon2, polygon3]

vector = App.Vector(-2000, -2000, 0)
list2 = Draft.move(list1, vector, copy=True)
list3 = Draft.move(list1, -2*vector, copy=True)

doc.recompute()